Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGbkCodec Class Reference

The QGbkCodec class provides conversion to and from the Chinese GBK encoding. More...

`#include <qgb18030codec.h>`

Inherits QGb18030Codec.

List of all member functions.

## Public Members

- QGbkCodec ()
- virtual const char * mimeName () const
- virtual QTextDecoder * makeDecoder () const
- virtual QCString fromUnicode ( const QString & uc, int & len_in_out ) const
- virtual QString toUnicode ( const char * chars, int len ) const

## Detailed Description

The QGbkCodec class provides conversion to and from the Chinese GBK encoding.

GBK, formally the Chinese Internal Code Specification, is a commonly used extension of GB 2312-80. Microsoft Windows uses it under the name code page 936.

The GBK encoding has been superceded by the GB18030 encoding and GB18030 is compatible to GBK. For this reason the QGbkCodec class is implemented in terms of the GB18030 codec and uses it for conversion from and to Unicode.

The QGbkCodec is kept mainly for compatibility reasons with older software.

See also Internationalization with Qt.

## Member Function Documentation

### QGbkCodec::QGbkCodec ()

reimp

### const char * QGbkCodec::mimeName () const`[virtual]`

Returns the codec's mime name.

Reimplemented from QTextCodec.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.